//imports
import java.awt.event.*;
import javax.swing.*;
import java.awt.*;

/**
 * Classe AjouterEcouteur
 * Ecouteur sur un bouton
 * 
 * @author Montet/Villemaine 
 * @version 0.1
 */

class AjouterEcouteur implements ActionListener
{
    //variables
    private JFrame frame;
    private ListeUtilisateurs liste;
    
    /**
    * Constructeur de la classe
    * @param f la frame concerne
    * @param listeU la liste d'utilisateurs
    */
    public AjouterEcouteur( JFrame f,ListeUtilisateurs listeU)
    {
        frame=f;
        liste=listeU;
    }
    
    /**
    * Fonction appele lors d'un venement
    */
    public void actionPerformed (ActionEvent e)
    {
        frame.setVisible(false);
        //ajout dans la liste de l'utilisateur
        liste.ajouter(((FenAjout)frame).getNom(),((FenAjout)frame).getPassword(),((FenAjout)frame).getPrivilege());
   
    }
}