//imports
import javax.swing.*;
import java.awt.*;

/**
 * Classe Application.
 * Contient le main de lancement de l'application.
 * 
 * @author Montet/Villemaine 
 * @version 0.1
 */
public class Application
{

    public static void main (String[] args)
    {   
        //Application du theme windows  l'interface
        //dans un try - catch
        try
        {
            UIManager.setLookAndFeel( "com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
        }
        catch (Exception e)
        {
            System.out.println(e);       
        }
        //cration d'une liste d'Utilsateurs
        ListeUtilisateurs theListe = new ListeUtilisateurs();
        //Ajout d'utilisateurs   
        theListe.ajouter(new Utilisateur ("admin","admin",1));
        theListe.ajouter(new Utilisateur ("David","pass",2));
        theListe.ajouter(new Utilisateur ("Alex","pass2",2));
        theListe.ajouter(new Utilisateur ("","",1));
     
        //lancement de la fentre d'identification   
        new FenIdentification(theListe);
        
      // JFrame fs =  new   FenSupprimer (theListe);
      // fs.setVisible(true);
    }
}
