//imports
import java.awt.event.*;
import javax.swing.*;
import java.awt.*;

/**
 * Classe BoutonEcouteurOK
 * Ecouteur du bouton OK de la fentre d'identification
 * @author Montet/Villemaine 
 * @version 0.1
 */
class BoutonEcouteurOK implements ActionListener
{
    //variables
    private FenIdentification frame;
    private FenPrincipale frame2;
  
    /**
    * Constructeur
    * @param f la fentre d'identification.
    */  
    public BoutonEcouteurOK (FenIdentification f )
    {
        frame = f;
    }

    /**
    * Implmentation ncessaire pour le MouseActionListener
    * @param l'venement considr
    */    
    public void actionPerformed (ActionEvent e)
    {
       String s;
       String login, pwd;
       
       //si la commande passe est OK (clic sur le bouton OK
       if (e.getActionCommand() =="OK")
       {
          //rcupration du login et du password   
          login = frame.getLogin();
          pwd  = frame.getPassword();
          
          //si l'identification est bonne
          if (frame.goodIdentification (login, pwd) )
          {
              //on cache la fentre d'identificatoin   
              frame.setVisible(false);
              //on cre la fentre principale
              frame2 = new FenPrincipale(frame.getListeUtilisateurs(),login);
          }
           else
           {
                //Gestion des erreurs d'identification
                JOptionPane.showMessageDialog(frame,"Votre login et votre mot de passe sont incorrects ");
           
            }  
       }    
    }  
}
