import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;
import java.lang.Object;
import javax.swing.event.*; 
import java.util.EventObject;

/**
 * class Editeur
 * Dfinit l'dition d'une cellule par une liste droulante
 *         pour la modification des privilges
 * @author Montet/Villemaine 
 * @version 0.1
 */

public class Editeur extends DefaultCellEditor
{
    JComboBox JCBL = new JComboBox();
    
    /* Constructeur Editeur
     * Appelle la classe suprieure
     * 
    **/
    public Editeur(JComboBox JCBParam)
    {
        super(JCBParam);
        JCBL = JCBParam; 
    }
    
        
    /**
    * getTableCellEditorComponent
    * @return la liste droulante des privilges
    */
    public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)
    {
       String val = value.toString();
       int i = Integer.parseInt(val);
       
       JCBL.setSelectedIndex(i-1);
       
       return JCBL;           
    }
    
 
    /**
    * getCellEditorValue
    * @return la valeur de la liste droulante des privilges
    */    
    public Object getCellEditorValue()
    {
         return new Integer((String)JCBL.getSelectedItem());
    }
    
    
}

    