//imports
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableColumn;

/**
 * Classe MenuEcouteur
 * Ecouteur du menu de la fentre principale
 * 
 * @author Montet/Villemaine 
 * @version 0.1
 */
class MenuEcouteur implements ActionListener
{
    // Fenetre d'ajout d'utilisateur
    private JFrame frame;   
    //Fentre de suppression d'utilisateur
  //  private JFrame frameSup;
    
    private ListeUtilisateurs liste;
    
    //boolen spcifiant si la liste est affiche ou pas
    boolean listeAffichee;
    
    /**
    * Constructeur de la classe
    * @param la fentre d'ajout d'utilisateur
    */
    public MenuEcouteur( JFrame f)
    {
        frame=f;
       // frameSup = fSup;
        listeAffichee=false;
    }
    
    /**
    * Implmentation ncessaire pour l'ActionListener
    * @param la frame contenant le menu
    */   
    public void actionPerformed (ActionEvent e)
    {
       //si la commande est Ajouter utilisateur   
       if (e.getActionCommand().equals("Ajouter utilisateur"))
       {
          //on affiche la fentre d'ajout   
          frame.setVisible(true);
       }
       else
       {
           //si c'est l'affichage de liste qui est demand
           if (e.getActionCommand().equals("Voir la liste"))
           {
               //si la liste n'est pas affiche   
               //if (listeAffichee==false)
               //{
                  //on rcupre la liste  
                  listeAffichee=true;           
                  liste=((FenPrincipale)frame).getListe();
                  ListePanneauUtilisateurs listeP = new ListePanneauUtilisateurs(liste);
                  //PGlobal.setPreferredSize(new Dimension(300,500));
                  //on affecte les panneaux utilisateurs cres comme UI de la liste
                  liste.setUI(listeP,frame);
                  //on cre une JTable   
                  JTable JT = new JTable(liste);

                  //rcupration de la colonne privilge
                  TableColumn TCPrivilege = JT.getColumn("Privilge");
                  
                  //combobox
                  JComboBox JCB = new JComboBox();
                  JCB.addItem("1");
                  JCB.addItem("2");
                  JCB.addItem("3");
                  JCB.addItem("4");
                                   
                  //celleditor
                  Editeur Edit = new Editeur(JCB);
                  TCPrivilege.setCellEditor(Edit) ;
                  //on change le cellRenderer de la colonne privilge
                  CellRendererBis CRBPrivilege = new CellRendererBis();
                  TCPrivilege.setCellRenderer(CRBPrivilege);
                  
                  //on affecte le contenu  la fentre
                  JScrollPane JSP1 = new JScrollPane(listeP);
                  JScrollPane JSP2 = new JScrollPane(JT);
                  JSplitPane JSP = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,JSP1,JSP2);   
                  JSP.setDividerLocation(200);   
                  frame.setContentPane(JSP);   
                  
                  // frame.getContentPane().add(new JScrollPane(JT));
                  //on affiche la fentre   
                  frame.setVisible(true);
                //}
            }
            else
                //Si on clique sur l'item "Supprimer l'utilisateur", on affiche la fenetre
                if (e.getActionCommand().equals("Supprimer utilisateur"))
                {
                   new FenSupprimer(((FenPrincipale)frame).getListe()).setVisible(true);
                }
        }
    
   }
}
