//imports
import java.lang.Integer;
import javax.swing.*;
import java.awt.*;
import javax.swing.table.DefaultTableCellRenderer;

/**
 * Classe CellRendererBis.
 * A pour but de changer le systeme de rendu de la cellule
 * 
 * @author Montet/Villemaine 
 * @version 0.1 
 */
public class CellRendererBis extends DefaultTableCellRenderer
{
    
    /**
    * Constructeur de la classe. 
    */
    public CellRendererBis()
    {

    }
    
    /**
    * Implmentation ncessaire pour le DefaultTableCellRenderer
    * @param table la table concerne
    * @param value la nouvelle valeur pour la cellule
    * @param isSelected si la cellule est slectionne
    * @param hasFocus si elle a le focus
    * @param row la ligne de la cellule
    * @param column la colonne de la cellule
    */ 
    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) 
    {
       String val = value.toString();
       JLabel JL = new JLabel(val);
        //si la valeur du privilge est 1
       if (val == "1")
       {
           JL.setForeground(Color.red) ;
       }
       JL.setHorizontalAlignment(JLabel.CENTER);
        return JL;
    }
}
