//imports
import javax.swing.*;
import java.awt.*;

/**
 * Classe PanneauUtilisateur
 * JPanel d'un Utilisateur
 * 
 * @author Montet/Villemaine 
 * @version 0.1
 */
public class PanneauUtilisateur extends JPanel
{

    //les JLabel   
    private JLabel lab1,lab2,lab3;
    //les JTextField   
    private JTextField lab4,lab5;
    //la JComboBox
    private JComboBox lab6;
    
    /**
     * Constructeur de la classe
     * @param U l'utilisateur
     */
    public PanneauUtilisateur(Utilisateur U)
    {
        this.setLayout(new GridLayout(3,2));
        lab1 = new JLabel("Login :");
        lab2 = new JLabel("Password :");
        lab3 = new JLabel("Privilge :");
        lab4 = new JTextField(U.getLogin());
        lab5 = new JTextField(U.getPassword());
        lab6 = new JComboBox();
        lab6.addItem("1");
        lab6.addItem("2");
        lab6.addItem("3");
        lab6.addItem("4");
        lab6.setSelectedItem(String.valueOf(U.getPrivilege()));
        
        this.add(lab1);
        this.add(lab4);
        this.add(lab2);
        this.add(lab5);
        this.add(lab3);
        this.add(lab6);
        this.setBorder(BorderFactory.createEtchedBorder() ); 
    }
}
